Package com.independentsoft.office.word

# Class Background

java.lang.Object
com.independentsoft.office.word.Background

public class Background extends Object
The Class Background.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Background()`
  Instantiates a new background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Background`
  `clone()`
  `Color`
  `getColor()`
  Gets the color.
  `List<IVmlElement>`
  `getContent()`
  Gets the content.
  `ThemeColor`
  `getThemeColor()`
  Gets the theme color.
  `int`
  `getThemeShade()`
  Gets the theme shade.
  `int`
  `getThemeTint()`
  Gets the theme tint.
  `void`
  `setColor​(Color color)`
  Sets the color.
  `void`
  `setThemeColor​(ThemeColor themeColor)`
  Sets the theme color.
  `void`
  `setThemeShade​(int themeShade)`
  Sets the theme shade.
  `void`
  `setThemeTint​(int themeTint)`
  Sets the theme tint.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Background

    public Background()
    Instantiates a new background.

- ## Method Details

  - ### clone

    public Background clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IVmlElement> getContent()
    Gets the content.
    Returns:
      the content

  - ### getColor

    public Color getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(Color color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getThemeColor

    public ThemeColor getThemeColor()
    Gets the theme color.
    Returns:
      the theme color

  - ### setThemeColor

    public void setThemeColor​(ThemeColor themeColor)
    Sets the theme color.
    Parameters:
      `themeColor` - the new theme color

  - ### getThemeShade

    public int getThemeShade()
    Gets the theme shade.
    Returns:
      the theme shade

  - ### setThemeShade

    public void setThemeShade​(int themeShade)
    Sets the theme shade.
    Parameters:
      `themeShade` - the new theme shade

  - ### getThemeTint

    public int getThemeTint()
    Gets the theme tint.
    Returns:
      the theme tint

  - ### setThemeTint

    public void setThemeTint​(int themeTint)
    Sets the theme tint.
    Parameters:
      `themeTint` - the new theme tint